+++
title = "Le coin de administrateurs"
slug = "admins"
template = "documentation.html"
+++

## Infrastructure {#infra}

L'infrastructure "matérielle" de NETig repose sur des VPS (Virtual Private
Server) de petite capacité afin de suivre les besoins au plus près, d'éviter les
surcoûts de location, le gaspillage énergétique, mais également d'améliorer la
fiabilité en cloisonnant les services.

Concernant la partie logicielle c'est
[Chimera Linux](https://chimera-linux.org) qui a été choisi comme système
d'exploitation, pour ses bonnes pratiques de sécurité et sa simplicité
d'administration. Les services sont conteneurisés avec
[Nerdctl](https://github.com/containerd/nerdctl) (compatible avec Docker), il
s'agit d'une couche légère de virtualisation qui permet un niveau supplémentaire
de cloisonnement mais également de simplifier les tâches de déploiement.

### Serveurs {#servers}

Actuellement les besoins sont faible, un seul VPS suffit, il est fournit par
[HostUp](https://hostup.se/en) en Suède avec Proxmox dans leur datacenter de
Stockholm.

|          | Dwalin |
|----------|--------|
| vCPU     | 4      |
| RAM      | 16Go   |
| Stockage | 500Go  |

### Réseau {#network}

Les connexion entrantes sont filtrées par un pare-feu, et redirigées sur le
réseau local par un reverse proxy.

|      | Dwalin           |
|------|------------------|
| IPv4 | 152.53.133.254    |
| IPv6 | 2a13:7c81:157::2 |

### Sauvegardes {#backups}

Les données sont sauvegardées automatiquement une fois par jour et stockées sur
le serveur même, ainsi que sur un stockage distant en Allemagne chez
[Hetzner](https://www.hetzner.com) dans leur datacenter de Falkenstein.

## Chimera Linux {#chimera}

Quelques petites choses à savoir concernant Chimera Linux avant de mettre les
mains dans le cambouis :

* <s>Sudo</s> : Ne cherchez pas `sudo` c'est l’excellent `doas` d'OpenBSD qui est
  utilisé ici !

* Environnement utilisateur (userland) : Chimera Linux utilise l'environnement
  utilisateur de FreeBSD à la place des outils GNU habituels, globalement les
  commandes sont les mêmes mais attention certaines options peuvent parfois être
  différentes.

### APK {#apk}

Le gestionnaire de paquets APK d'Alpine Linux est utilisé, il est simple, rapide
et extrêmement fiable !

Mettre à jour les fichiers d'index des dépôts :
```
# apk update
```

Mettre à jour le système (⚠️ ne pas mettre à jour un serveur en production sans
avoir testé la mise à jour sur une machine de test) :
```
# apk upgrade
```

Chercher un paquet :
```
# apk search <quelque_chose>
```

Obtenir des informations sur un paquet :
```
# apk info <paquet>
```

Installer un paquet :
```
# apk add <paquet>
```

Supprimer un paquet :
```
# apk del <paquet>
```

> Les sous-commandes `add` et `del` ajoutent/enlèvent le nom du/des paquet(s) du
> fichier `/etc/apk/world` qui contient la liste des paquets explicitement
> installés, APK calcule les dépendances à partir de ce fichier.

## Dinit {#dinit}

...

## Maintenance {#maintenance}

### Connexion aux serveurs {#connection}

...

### Nerdctl {#nerdctl}

...

### Services {#services}

Si nécessaire la documentation spécifique à chaque service si se trouve dans le
`README.md` du service sur [NETgit](https://git.netig.net).
